--- old/usr/src/uts/common/fs/ufs/ufs_vfsops.c	2014-07-28 07:44:21.554198244 -0400
+++ new/usr/src/uts/common/fs/ufs/ufs_vfsops.c	2014-07-28 07:44:21.560252680 -0400
@@ -599,7 +599,7 @@
 	 * synchronize w/ufs ioctls
 	 */
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	/*
 	 * reset options
@@ -745,7 +745,7 @@
 	fsp->fs_fmod = 0;
 	fsp->fs_ronly = 0;
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 
@@ -774,7 +774,7 @@
 remounterr:
 	if (tpt)
 		brelse(tpt);
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 	return (error);
@@ -1421,7 +1421,7 @@
 		 * hard lock it before unmounting.
 		 */
 		if (!ULOCKFS_IS_HLOCK(ulp)) {
-			atomic_add_long(&ufs_quiesce_pend, 1);
+			atomic_inc_ulong(&ufs_quiesce_pend);
 			lockfs.lf_lock = LOCKFS_HLOCK;
 			lockfs.lf_flags = 0;
 			lockfs.lf_key = ulp->ul_lockfs.lf_key + 1;
@@ -1433,7 +1433,7 @@
 			(void) ufs_quiesce(ulp);
 			(void) ufs_flush(vfsp);
 			(void) ufs_thaw(vfsp, ufsvfsp, ulp);
-			atomic_add_long(&ufs_quiesce_pend, -1);
+			atomic_dec_ulong(&ufs_quiesce_pend);
 			ULOCKFS_CLR_BUSY(ulp);
 			LOCKFS_CLR_BUSY(&ulp->ul_lockfs);
 			poll_events |= POLLERR;
@@ -2153,7 +2153,7 @@
 	ulp = &ufsvfsp->vfs_ulockfs;
 
 	mutex_enter(&ulp->ul_lock);
-	atomic_add_long(&ufs_quiesce_pend, 1);
+	atomic_inc_ulong(&ufs_quiesce_pend);
 
 	(void) ufs_quiesce(ulp);
 	(void) ufs_flush(vfsp);
@@ -2278,7 +2278,7 @@
 	rootdev = new_rootdev;
 	rootvp = new_rootvp;
 
-	atomic_add_long(&ufs_quiesce_pend, -1);
+	atomic_dec_ulong(&ufs_quiesce_pend);
 	cv_broadcast(&ulp->ul_cv);
 	mutex_exit(&ulp->ul_lock);
 
